# FoundationClasses
TKernel
NCollection

# NCollection_SparseArrayBase::Iterator Class Reference

`#include <NCollection_SparseArrayBase.hxx>`

Inheritance diagram for NCollection_SparseArrayBase::Iterator:

[legend]

## Public Member Functions

void | Restart ()
| Restart iterations on the same array.
Standard_Boolean | More () const
| Returns True if current item is available.
Standard_EXPORT void | Next ()
| Advances to the next item.
Standard_EXPORT Standard_Size | Index () const
| Returns current index.

## Protected Member Functions

Standard_EXPORT | Iterator (const NCollection_SparseArrayBase *theArray=0)
| Empty constructor.
Standard_EXPORT void | init (const NCollection_SparseArrayBase *theArray)
| Initialize by the specified array.
Standard_Address | value () const
| Returns address of the current item.

## Private Attributes

const NCollection_SparseArrayBase * | myArr
Standard_Boolean | myHasMore
Standard_Size | myIBlock
Standard_Size | myInd
Block | myBlock

## Detailed Description

Iterator

## Constructor & Destructor Documentation

Standard_EXPORT NCollection_SparseArrayBase::Iterator::Iterator | ( | const NCollection_SparseArrayBase * | theArray = `0` | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Standard_Size NCollection_SparseArrayBase::Iterator::Index | ( |  | ) | const`[inline]`

Standard_EXPORT void NCollection_SparseArrayBase::Iterator::init | ( | const NCollection_SparseArrayBase * | theArray | ) | `[protected]`

Standard_Boolean NCollection_SparseArrayBase::Iterator::More | ( |  | ) | const`[inline]`

Standard_EXPORT void NCollection_SparseArrayBase::Iterator::Next | ( |  | ) |

void NCollection_SparseArrayBase::Iterator::Restart | ( |  | ) | `[inline]`

Standard_Address NCollection_SparseArrayBase::Iterator::value | ( |  | ) | const`[inline, protected]`

## Field Documentation

const NCollection_SparseArrayBase* NCollection_SparseArrayBase::Iterator::myArr `[private]`

Block NCollection_SparseArrayBase::Iterator::myBlock `[private]`

Standard_Boolean NCollection_SparseArrayBase::Iterator::myHasMore `[private]`

Standard_Size NCollection_SparseArrayBase::Iterator::myIBlock `[private]`

Standard_Size NCollection_SparseArrayBase::Iterator::myInd `[private]`

The documentation for this class was generated from the following file:

- NCollection_SparseArrayBase.hxx